Bug 860145 - [abrt] python-2.7.3-7.2.fc17: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-7.2.fc17: Process /usr/bin/python2.7 was killed by signal...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:1f29ea93192a51148a3efe73183...
:
: 861546 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 01:57 EDT by Martin Ramirez
Modified: 2013-08-01 04:07 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:07:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (3.69 KB, text/plain)
2012-09-25 01:57 EDT, Martin Ramirez
no flags Details
File: environ (1.97 KB, text/plain)
2012-09-25 01:57 EDT, Martin Ramirez
no flags Details
File: backtrace (37.95 KB, text/plain)
2012-09-25 01:57 EDT, Martin Ramirez
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-25 01:57 EDT, Martin Ramirez
no flags Details
File: cgroup (129 bytes, text/plain)
2012-09-25 01:57 EDT, Martin Ramirez
no flags Details
File: maps (45.46 KB, text/plain)
2012-09-25 01:57 EDT, Martin Ramirez
no flags Details
File: dso_list (10.06 KB, text/plain)
2012-09-25 01:57 EDT, Martin Ramirez
no flags Details
File: var_log_messages (150 bytes, text/plain)
2012-09-25 01:57 EDT, Martin Ramirez
no flags Details
File: open_fds (2.55 KB, text/plain)
2012-09-25 01:57 EDT, Martin Ramirez
no flags Details

  None (edit)
Description Martin Ramirez 2012-09-25 01:57:31 EDT
Version-Release number of selected component:
python-2.7.3-7.2.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 3
cmdline:        /usr/bin/python /bin/yum install epiphany
kernel:         3.5.4-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 ??
: #1 ??
: #2 fdDup at rpmio.c
: #3 runExtScript at rpmscript.c
: #4 rpmScriptRun at rpmscript.c
: #5 runScript at psm.c
: #6 runInstScript at psm.c
: #7 rpmpsmStage at psm.c
: #8 rpmpsmRun at psm.c
: #9 rpmteProcess at rpmte.c
Comment 1 Martin Ramirez 2012-09-25 01:57:34 EDT
Created attachment 616869 [details]
File: core_backtrace
Comment 2 Martin Ramirez 2012-09-25 01:57:36 EDT
Created attachment 616870 [details]
File: environ
Comment 3 Martin Ramirez 2012-09-25 01:57:39 EDT
Created attachment 616871 [details]
File: backtrace
Comment 4 Martin Ramirez 2012-09-25 01:57:40 EDT
Created attachment 616872 [details]
File: limits
Comment 5 Martin Ramirez 2012-09-25 01:57:42 EDT
Created attachment 616873 [details]
File: cgroup
Comment 6 Martin Ramirez 2012-09-25 01:57:46 EDT
Created attachment 616874 [details]
File: maps
Comment 7 Martin Ramirez 2012-09-25 01:57:48 EDT
Created attachment 616875 [details]
File: dso_list
Comment 8 Martin Ramirez 2012-09-25 01:57:50 EDT
Created attachment 616876 [details]
File: var_log_messages
Comment 9 Martin Ramirez 2012-09-25 01:57:51 EDT
Created attachment 616877 [details]
File: open_fds
Comment 10 Dave Malcolm 2012-09-26 15:46:20 EDT
Thanks for filing this bug report.

Looking at attachment 616871 [details] this seems to be a crash deep inside librpm, within fdDup.

What is the output of running the following command:
  rpm -q rpm

Reassigning from "python" to "rpm"
Comment 11 Martin Ramirez 2012-09-28 17:08:04 EDT
Hi, 

This is the output from the command rpm -q rpm: 
  rpm-4.9.1.3-7.fc17.x86_64


(In reply to comment #10)
> Thanks for filing this bug report.
> 
> Looking at attachment 616871 [details] this seems to be a crash deep inside
> librpm, within fdDup.
> 
> What is the output of running the following command:
>   rpm -q rpm
> 
> Reassigning from "python" to "rpm"
Comment 12 Thomas Spura 2012-09-29 06:06:43 EDT
*** Bug 861546 has been marked as a duplicate of this bug. ***
Comment 13 Johannes Postler 2013-03-23 07:46:28 EDT
while running yum update, it crashed

backtrace_rating: 3
Package: python-2.7.3-7.2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 Fedora End Of Life 2013-07-03 22:20:54 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2013-08-01 04:07:55 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.